%define version 0.45.1
%define relver C12
Name: nut
Group: Applications/System
Summary: Multi-vendor UPS Monitoring Project Client Utilities
Version: %{version}
Release: %{relver}
Source: http://www.exploits.org/nut/release/%{name}-%{version}.tar.gz
Patch: nut.cobalt
# Temporary patch specific to 0.45.1
Patch2: upsmon-pdflag.diff
Copyright: GPL
BuildRoot: /var/tmp/%{name}-%{version}-root
Prereq: chkconfig fileutils
Obsoletes: smartupstools
#
# configure file locations
# confdir etc are not really negotiable, so are not configurable here
%define STATEPATH  	/var/state/ups
%define MODELPATH	/usr/bin
%define CONFPATH	/etc/ups

%description
These programs are part of a developing project to monitor the assortment 
of UPSes that are found out there in the field. Many models have serial 
ports of some kind that allow some form of state checking. This
capability has been harnessed where possible to allow for safe shutdowns, 
live status tracking on web pages, and more.

This package includes the client utilities that are required to monitor a
UPS that the client host is powered from - either connected directly via
a serial port (in which case the main nut package needs to be installed on
this machine) or across the network (where another host on the network
monitors the UPS via serial cable and runs the main nut package to allow
clients to see the information).  This package also includes the main NUT
upsd daemon and the associated per-UPS-model drivers which talk to the UPSes.

%prep
%setup -q
%patch -p1
# Temporary patch specific to 0.45.1
%patch2 -p1
autoconf

%build
autoconf
CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=/usr \
	--exec-prefix=/usr \
	--sysconfdir=%{CONFPATH} \
	--with-statepath=%{STATEPATH} \
	--with-modelpath=%{MODELPATH} \
	--enable-celsius \
	--with-user=nobody \
	--with-group=nobody
make

%install
rm -rf %{buildroot}

# Build basic directories here - if they exist already then the
# installer doesn't try to create and chown them (the chown is
# a killer if we are building as non-root
mkdir -p %{buildroot}%{CONFPATH}
mkdir -p %{buildroot}%{MODELPATH}
mkdir -p %{buildroot}%{STATEPATH}
mkdir -p %{buildroot}/usr/bin
mkdir -p %{buildroot}/usr/sbin
make INSTALLROOT=%{buildroot} install

mkdir -p %{buildroot}/etc/sysconfig
install -m644 scripts/cobalt/ups-config %{buildroot}/etc/sysconfig/ups

mkdir -p %{buildroot}/etc/rc.d/init.d
install -m755 scripts/cobalt/ups %{buildroot}/etc/rc.d/init.d

#install -m755 scripts/cobalt/ups-getmac %{buildroot}/usr/bin
install -m755 scripts/cobalt/ups-shutdown %{buildroot}/usr/bin
install -m755 scripts/cobalt/ups-wakeslaves %{buildroot}/usr/bin
install -m755 scripts/cobalt/ups-emailstatus %{buildroot}/usr/bin

install -m644 conf/ups.conf %{buildroot}/etc/ups
install -m644 conf/upsd.conf %{buildroot}/etc/ups
install -m644 conf/hosts.conf %{buildroot}/etc/ups
install -m644 conf/upsmon.conf %{buildroot}/etc/ups
install -m644 conf/upssched.conf %{buildroot}/etc/ups

%preun
[ -f /etc/rc.d/init.d/ups ] && \
  /etc/rc.d/init.d/ups stop
/sbin/chkconfig ups off
/sbin/chkconfig --del ups

%post
#echo "Post-install running..."
/sbin/chkconfig --add ups
/sbin/chkconfig ups on
[ -f /etc/rc.d/init.d/ups ] && \
  /etc/rc.d/init.d/ups restart

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{MODELPATH}
/usr/sbin/upsd
%attr(755,root,root) /etc/rc.d/init.d/ups
/usr/man/man8/apcsmart.8.gz
/usr/man/man8/powercom.8.gz
%doc COPYING CREDITS CHANGES INSTALL README docs/*
%dir %{CONFPATH}
%config(noreplace) %attr(600,root,root) %{CONFPATH}/ups.conf
%config(noreplace) %attr(600,root,root) %{CONFPATH}/upsd.conf
%config(noreplace) %attr(644,root,root) %{CONFPATH}/hosts.conf
%config(noreplace) %attr(600,root,root) %{CONFPATH}/upsmon.conf
%config(noreplace) %attr(600,root,root) %{CONFPATH}/upssched.conf
%config(noreplace) %attr(644,root,root) /etc/sysconfig/ups
%dir %attr(755,nobody,nobody) %{STATEPATH}
/usr/sbin/upsmon
/usr/sbin/upssched

%changelog
* Wed Mar 13 2002 Joshua Uziel <uzi@sun.com>
- Fixed locale domain in the cobalt rc script

* Wed Jan 24 2002 Joshua Uziel <uzi@sun.com>
- Changed the wake delay up to 30 seconds.
- Updated the ups-emailstatus script to send time and date.
- Shortened delays in shutdown procedure.
- Fixed I/O redir bugs in the rc script.

* Fri Jan 04 2002 Joshua Uziel <uzi@sun.com>
- More minor tweaks.

* Wed Nov 14 2001 Joshua Uziel <uzi@sun.com>
- Minor script tweaks.

* Mon Oct 29 2001 Joshua Uziel <uzi@sun.com>
- Change the wake delay to default to 5 seconds instead of 60.

* Tue Oct 16 2001 Joshua Uziel <uzi@sun.com>
- Fixed i18n emailing and attempt to fix shutting down the UPS.

* Thu Oct 11 2001 Joshua Uziel <uzi@sun.com>
- Slight overhaul to add several features:
-   Need to give "login" perms for upsmon or else if fails silently
-   Added ups-emailstatus to email status of the UPS to swatch recipients
-   Took care of a potential startup race in the rc script

* Tue Oct 09 2001 Joshua Uziel <uzi@sun.com>
- Temporary patch to 0.45.1 to fix shutdown.

* Sun Sep 23 2001 Joshua Uziel <uzi@sun.com>
- Misc. cobalt updates in configuration and scripting.

* Thu Aug 09 2001 Joshua Uziel <uzi@sun.com>
- Reduced to one package for simplicity.
- Added hacks specifically for Cobalt and packaged as such.

* Wed Feb 07 2001 Karl O. Pinc <kop@meme.com> (0.44.3-pre2)
- Cgi package buildrequires gd >= 1.6
- Added man pages for apcsmart and powercom models

* Tue Dec 05 2000 <Nigel.Metheringham@InTechnology.co.uk> (0.44.2)
- Made cgi package standalone (needs no other parts of NUT)
- Moved some configs into cgi
- Shared hosts.conf between cgi & main

* Fri Nov 24 2000 <Nigel.Metheringham@InTechnology.co.uk> (0.44.2)
- Moved models to be more FHS compliant and make sure they are there
  if everything but root is unmounted
- Moved a few things around

* Mon Aug 21 2000 <Nigel.Metheringham@Vdata.co.uk> (0.44.1)
- Added new model drivers into rpm list
- Made it wildcard more stuff so this doesn't need to be
  maintained for every little change.
  ** NOTE this breaks things if modelpath isn't distinct **

* Mon Jul 17 2000 <Nigel.Metheringham@Vdata.co.uk> (0.44.0)
- Fixed some problems in the spec file
- Dropped the older changelog entries since there is some
  intermediate history thats been missed.
- Added new model drivers into rpm list
- Updated descriptions somewhat

